setwd("/Users/Stephane1/Stat Analyses/DietWeta")

rm(list=ls())


b<-read.table("dSpecies.txt", header=T, row.names=1,sep="\t")

#head(b)
#str(b)
#Load the library VEGAN
library (vegan)

#Make sure the data are in dat frame form (may not be necessary)
d<-as.data.frame(b)

#Deals with NA or zero values (may not be necessary)
for (i in 1:ncol(d)){
  d [ is.na(d[,i]),i] <- 0
}

#Calculates assymptotes using various methods
poolall <- specpool (d)
poolall

#Plot the accumulation curve
Acc <- specaccum(d) 
plot (Acc)

#Nicer plots
plot(Acc, ci.type="poly", col="black", lwd=2, ci.lty=2, ci.col="white", las = 1, ylim = c(0, 110), xlim = c(0, 72), xlab = "Number of fecal samples",main="Cumulative curve", ylab = "Number of plants species detected", yaxt = "s/18*100")
#axis (1, labels = FALSE)

#text (0.25, 100, "Diet of wētā", font = 2, cex = 1.25, adj = 0)
text (50, (poolall$boot + 2), paste ("Bootstrap estimate:", round (poolall$boot, 1), "( s.e.=", round (poolall$boot.se, 1 ), ")") , adj = c (1,0))
abline (a = poolall$boot, b = 0, lty = 1)
#abline (a = poolall$boot+poolall$boot.se, b = 0, lty = 3)
#abline (a = poolall$boot-poolall$boot.se, b = 0, lty = 3)


#abline (a = 14, b = 0, lty = 3)


#number of sampels per season per field
text (58, 50, paste ("Samples collected per season"), adj = c (1,0), col=3)
abline(v=18,col=3,lty=3)
#text (44, 20, paste ("per season"), adj = c (1,0), col=3)

text (69, 20, paste ("Samples collected in total"), adj = c (1,0), col=2)
abline(v=70,col=2,lty=3)

Acc

#########FAMILY LEVEL########

f<-read.table("dFamilies.txt", header=T, row.names=1,sep="\t")

#Make sure the data are in dat frame form (may not be necessary)
e<-as.data.frame(f)

#Deals with NA or zero values (may not be necessary)
for (i in 1:ncol(e)){
  e [ is.na(e[,i]),i] <- 0
}

#Calculates assymptotes using various methods
poolall <- specpool (e)
poolall

#Plot the accumulation curve
Acc <- specaccum(e) 
plot (Acc)

#Nicer plots
plot(Acc, ci.type="poly", col="black", lwd=2, ci.lty=2, ci.col="white", las = 1, ylim = c(0, 38), xlim = c(0, 72), xlab = "Number of fecal samples",main="Cumulative curve", ylab = "Number of plants families detected", yaxt = "s/18*100")
#axis (1, labels = FALSE)

#text (0.25, 100, "Diet of wētā", font = 2, cex = 1.25, adj = 0)
text (47, (poolall$boot + 2), paste ("Bootstrap estimate:", round (poolall$boot, 1), "( s.e.=", round (poolall$boot.se, 1 ), ")") , adj = c (1,0))
abline (a = poolall$boot, b = 0, lty = 1)
#abline (a = poolall$boot+poolall$boot.se, b = 0, lty = 3)
#abline (a = poolall$boot-poolall$boot.se, b = 0, lty = 3)


#abline (a = 14, b = 0, lty = 3)


#number of sampels per season per field
text (58, 22, paste ("Samples collected per season"), adj = c (1,0), col=3)
#text (44, 20, paste ("per season"), adj = c (1,0), col=3)
abline(v=18,col=3,lty=3)

text (69, 8, paste ("Samples collected in total"), adj = c (1,0), col=2)
abline(v=70,col=2,lty=3)

Acc

### local minima on all nz rbcl sequences. Downloaded from Genbank using the keywords "rblc zealand"
##then unique haplotypes collapsed using Fabox
##then aligned and trimmed using geneious according to the actual primers used in the study 


#lib
library(spider)#?spider ?ape
library(phangorn)#?phangorn

d<- read.dna("TOOTfinal.fasta", format="fasta") 
d


dSpp <- substr(dimnames(d)[[1]], 5, 12)
dSpp
rbclNZ <- read.GB(dSpp)
Rampho <- read.GenBank(dSpp)

write.dna(Rampho, "TOOT", format = "fasta")

#collSpp <- strsplit(names(d), split=" \\| ")
AccessNumber <- strsplit(dSpp, split=" \\| ")
AccessNumber
#collSpp <- sapply(collSpp, function(x) x[2])

Dist<-dist.dna (d, model="raw", pairwise.deletion=TRUE)  #Create the distance matrix "raw' is very important here, dunno why
Thresh <- localMinima(Dist)             #Compute the localMinima function

plot(Thresh, main="localMinima rcbL")
plot(Thresh, ylim=c(0, 10), xlim=c(0, 1), main="localMinima 16S")

plot(Thresh, ylim=c(0, 2), xlim=c(0, 0.35), main="localMinima 16S")




collLength <- sapply(d, length)
table(collLength)

layout(matrix(1:6, ncol=1))
par(mar=c(0.5, 0, 0.5, 0))
apply(as.matrix(d)[sample(1:45,5),], MARGIN=1, FUN=seeBarcode)
seeBarcode(as.matrix(d)[sample(1:37, 1),1:658])






